Skip to main content
GET
Get the details of a File

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vaultUuid
string<uuid>
required

The UUID of the Vault to fetch Item from

itemUuid
string<uuid>
required

The UUID of the Item to fetch File from

fileUuid
string<uuid>
required

The UUID of the File to fetch

Query Parameters

inline_files
boolean

Tells server to return the base64-encoded file contents in the response.

Example:

true

Response

OK

id
string

ID of the file

name
string

Name of the file

size
integer

Size in bytes of the file

content_path
string
read-only

Path of the Connect API that can be used to download the contents of this file.

section
object

For files that are in a section, this field describes the section.

content
string<byte>

Base64-encoded contents of the file. Only set if size <= OP_MAX_INLINE_FILE_SIZE_KB kb and inline_files is set to true.